Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.text
Class TextAPIDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.text.TextAPIDriver

All Implemented Interfaces:
  LightDriver, TextDriver

Direct Known Subclasses:
  AWTTextAPIDriver, SwingTextAPIDriver

public abstract class TextAPIDriver
extends LightSupportiveDriver
implements TextDriver

Superclass for all TextDrivers using API calls.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`TextAPIDriver(java.lang.String[] supported)` Constructs a ChoiceDriver.

Method Summary
`void` | `changeCaretPosition(ComponentOperator oper, int position)` Moves caret.
`void` | `changeText(ComponentOperator oper, java.lang.String text)` Replace component text.
`void` | `clearText(ComponentOperator oper)` Clears component text.
`void` | `enterText(ComponentOperator oper, java.lang.String text)` Type text and push enter.
`abstract int` | `getCaretPosition(ComponentOperator oper)` Returns current caret position.
`abstract int` | `getSelectionEnd(ComponentOperator oper)` Returns a caret position of selection end.
`abstract int` | `getSelectionStart(ComponentOperator oper)` Returns a caret position of selection start.
`abstract java.lang.String` | `getText(ComponentOperator oper)` Returns operator's text.
`void` | `selectText(ComponentOperator oper, int startPosition, int finalPosition)` Selects text.
`void` | `typeText(ComponentOperator oper, java.lang.String text, int caretPosition)` Types new text.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextAPIDriver

    public TextAPIDriver(java.lang.String[] supported)

  Constructs a ChoiceDriver.
  Parameters:
    `supported` - an array of supported class names

Method Detail

### changeCaretPosition

    public void changeCaretPosition(ComponentOperator oper,
                                    int position)

  Description copied from interface: `TextDriver`
  Moves caret.
  Specified by:
    `changeCaretPosition` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.
    `position` - Position to move caret to.

### selectText

    public void selectText(ComponentOperator oper,
                           int startPosition,
                           int finalPosition)

  Description copied from interface: `TextDriver`
  Selects text.
  Specified by:
    `selectText` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.
    `startPosition` - a posistion of selction start
    `finalPosition` - a posistion of selction end

### clearText

    public void clearText(ComponentOperator oper)

  Description copied from interface: `TextDriver`
  Clears component text.
  Specified by:
    `clearText` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.

### typeText

    public void typeText(ComponentOperator oper,
                         java.lang.String text,
                         int caretPosition)

  Description copied from interface: `TextDriver`
  Types new text.
  Specified by:
    `typeText` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.
    `caretPosition` - Type text at that position.

### changeText

    public void changeText(ComponentOperator oper,
                           java.lang.String text)

  Description copied from interface: `TextDriver`
  Replace component text.
  Specified by:
    `changeText` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.

### enterText

    public void enterText(ComponentOperator oper,
                          java.lang.String text)

  Description copied from interface: `TextDriver`
  Type text and push enter.
  Specified by:
    `enterText` in interface `TextDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TextDriver`
  Parameters:
    `oper` - Text component operator.
    `text` - New text to type.

### getText

    public abstract java.lang.String getText(ComponentOperator oper)

  Returns operator's text.
  Parameters:
    `oper` - an operator.
  Returns:
    string representing component text.

### getCaretPosition

    public abstract int getCaretPosition(ComponentOperator oper)

  Returns current caret position.
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting current operator's caret position.

### getSelectionStart

    public abstract int getSelectionStart(ComponentOperator oper)

  Returns a caret position of selection start.
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting index of operator's selection start.

### getSelectionEnd

    public abstract int getSelectionEnd(ComponentOperator oper)

  Returns a caret position of selection end.
  Parameters:
    `oper` - an operator.
  Returns:
    int represnting index of operator's selection end.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD